AutoCAD Inventor :: Create Sketch With Line Starting Points Depending On Other Sketches?
Oct 6, 2012
I want to draw a line between the two sketches visible on the image below. The line should be in the plane visible. The starting point of the line should be from wherever the top sketch intersects the plane of the current sketch. The finnish point of the line should be wherever a line of the bottom sketch intersects the current sketch plane.
There is no tooltip appearing that would allow me to quickly "attach" the starting line to the correct position. Is there such an aid, and how do i turn it on?
I am using projected and sketched geometry (2D sketches) in assembly space to create lines/ points that I intend to use to define planes and axes. The problem I have is that nearly all the geometry I create (lines and points in 2D sketches) is not "selectable" when I try to create planes or axes. I cannot even put a work points "on top of" my sketch points. Why are my sketches not usable in the assembly space? Since the components in my model are just two extruded rings I don't have any linear edges I can select to make this work/ define planes.
I cant start drawing an object from anywhere else( ie. inside a grid) except form the points where grid lines intersect. How do i go back to old system? I need to get some work done fast.
I can "Get Model Sketch" to make it appear visible in a drawing view. But I can find no way to use these "edges" or "lines" or "entities" or whatever they are, later in a drawing view sketch. No way to project them from Model Sketch to Drawing View sketch. I can attach leaders and dimensions to these Model Sketch entitites but I can find no way to use them in a sketch owned by the drawing view. Am I missing something?
When ever I start a new sketch in the xz plane (viewing from top down) my sketch rotates 180 degrees. Not a huge deal to rotate it back, but not everything I create is symetrical and when I go to draw the part, I want a certain ISO view to be default. I know you can insert/obtain any view into the drawing but is there an option to stop this rotation or maybe I am not setting up something correctly.
I'm wanting to have vertical and horizontal construction lines already created whenever I start a sketch so that I can set symmetric constraints to the part I'm drawing up. At the moment, I have to draw both lines every time and constrain them to the center point. It would be much easier if it was already there when I started so I can start on the sketch right away. Is there a way to do this? I've included a photo of what I'd like to do.
Inventor Professional 2013 Intel Xeon W3680 @ 3.33Ghz 12GB DDR3 RAM NVIDIA Quadro 2000 GPU Windows 7 Professional 64-bit
I have found that if I use the drop-down to select a new part file, it does not use the default (and only) part template in my templates folder. I know this as there are several settings that do not match. If I click on the icon to open the new part dialog, it displays my templates (part, assy & drw) and creates the new file based on those accordingly.
Any setting that needs to be changed to correct this behavior?
What I am trying to do is line snapping over 2 stetches.
I am working in 2D sketch mod, I am basically drawing square boxes on one sketch (in black) and then on another sketch (in orange) drawing connecting lines.
Right now I am having to maually look to see the distance, but is there any way to line snap over 2 sketches?
On a side note, When a drawing is finished, is there any way to scale it up or down?
I am trying to use sketch points in drawing for dimensioning. Below is portion of my code. The code fails when AddLinear is called. Is it even possible to use drawing sketch points for dimensioning?
invSheet = invDrawingDoc.ActiveSheet Dim oTransGeom As Inventor.TransientGeometry= invApp.TransientGeometry Dim pt1 AsPoint= oTransGeom.CreatePoint(0, 0, flangeOD / 2)
I am trying to get Sketched Symbols with leaders to align.
I have a sketched symbol defined that has connection points defined at the outer quadrants. If the symbol doesn't have a leader they snap together at the connection points without any problems.
If the symbols have a leader they either won't snap, or jump to a random location depending on what grip you select to move.
The following video image shows the problems with the symbols with leaders.
I have a series of points that I've placed along a sloped line in a 3D Sketch. However, if I delete one of the points, all the points that have been created are erased as well. I found a way to get around it (remove the constraints of the point I'm trying to delete and then delete the point). However, if I want to delete multiple points, the solution I have would take up some time.
I don't want to create a rectangular pattern in a 2D sketch because, when the line changes slope, the pattern doesn't seem to recognize the new slope direction and the points appear offset from the new sloped line.
Is there a way I can get create some semblance of a pattern in 3D sketch and also have the ability to delete individual points within a series of created points?
Given a sketch, I wish to get its profile paths (outer, plus inners), for each path, I wish to get their individual curves (line, arc, splines, any type). For lines, I need start and end points, for others, some sample points would do.
For "T" like thin profile shape, following code got me, 1 Profile Path, which had 8 Lines (thus 8 points) and it worked fine.
For Each path As Inventor.ProfilePath In extFeature.Profile
If Not path Is Nothing And path.Count > 0 Then For Each entity As Inventor.ProfileEntity In path If entity.CurveType = Curve2dTypeEnum.kLineSegmentCurve2d Then Dim oSkE As SketchEntity = entity.SketchEntity Dim oLine As SketchLine = CType(oSkE, SketchLine) Dim startpt As Inventor.Point2d = oLine.StartSketchPoint.Geometry Dim endpt As Inventor.Point2d = oLine.EndSketchPoint.Geometry
But same logic does not work (crashes at Casting I guess) for "S" shape as below:
When I use the import excel points function in the 2D sketch menu of Inventor 2013, nothing happens when I open the excel file. No points are drawn in the sketch... I don't even get an error message... I have tried the same thing on another computer with the exact same spreadsheet and it works 100%.
I'm running Inventor 2013 service pack 2 on a Lenovo Y570 with an Nvidia GeForce GT555M GFX card
I am trying to create a tool that looks similar to Line in Autocad. I got the solution for dynamic multiple insertion points but the issue is the line is only visible after the end point is selected. But i want the line to be visible before selecting the end point, this should be as same as the line we use in autocad. Following is the code i used to create a line with multiple insertion points.
Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acCurEd As Editor = acDoc.Editor Using lock As DocumentLock =
I have a newly discovered issue with left clicking and moving lines and points in 2D-sketch.
After working in Inventor for a while I cant move lines and points(green and unconstrained geometry). If I exit 2D sketch mode and enter again I can move a line once and then its back to not being able to manipulate the geometry at all, the curser just want to create a marking box.
I have a new optical mouse with cord, its a Logitech G400. I have switched mouse but with the same result.I have installed the latest driver for the mouse.
Within a part, I'm trying to identify sketch points that are generated from projected geometry, but the geometry is subsequently changed higher up the feature tree, leaving a pink sketch point (or worse). What attributes would such a sketch point have?
I want to create new vertex points in feature line and 3dpol.
I have this: try { if (obj.GetType() == typeof(Autodesk.AutoCAD.DatabaseServices.Polyline3d)) { Polyline3d p3d = (Polyline3d)trans.GetObject(entRes.ObjectId, OpenMode.ForWrite);
always catches the same Exception "the value is not within the expected range" .I have translated it because I get "El valor no está dentro del intervalo esperado". Perhaps is this: " Value does not fall within the expected range.".
I have tried it with different point3d values but always catches Exception.
With pol3d I have similar problem.
Autocad Civil 3D 2014 +SP1 Quad Core Intel i7 3770-cpu 3.40Ghz. ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd 32gb RAM 1600 Mhz. nVidia Quadro 2000. Win 7 Pro 64bit
I am trying to extend a line in my sketch, but everytime I select it an error message comes up saying "the curve being extended" What curve is inventor refering to?
I have a drawing view of a part with a sketch that contains some lines. I need to pick one of the sketch lines.
I can pick a line with sketch active using the kSketchCurveLinearFilter
I have not been able to pick it from outside of sketch. Have tried using kDrawingCurveSegmentFilter to get a DrawingCurveSegment but I can not get the sketch line from the DrawingCurveSegment
I assume there is a way to get the sketch line from DrawingCurveSegment or DrawingCurveObject but have not figured it out.
Just by selecting a bend line on the flat pattern, I'd like to draw only 2 lines on a sketch (without any border projection, only points) at both ends of the bend line.
I'm sure it can be done via VBA, but don't know how to start for it.
I made a bunch of lines, then used the bend command to make curves where they intersected. I'm trying to put lines connecting A to C and B to D. How do I constrain the ends of the lines to the center of the curves?
I have a basic problem but I can't seem to be able to get around it. I added an image to a sketch successfully but it cam with a yellow line around it (see attached) and I can't remove it. In the sketch properties I was able to change it's color to black to make less visible but it's still there.
When I draw a sketch while making a dwg drawing, the lines are light green that is nearly invisible on the background color. How can I change the line color?
I'm using Inventor professional 2012 student edition.
How to create a custom ribbon with sketches cmd... I found example for assembly context... it work well but I don't find how to do that in sketch mode... The goal is to control the cmd the user can use.
I created a 12-sided polygon shape in the sketch mode. I created one line, fully constrained it and then used the circular pattern to finish the shape. Why can't I extrude the shape?
I have attached the file. It's a pretty basic shape. I don't understand why it wouldn't work...